import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetPaymentByWeightOverview = createAsyncThunk(
  "SLAUGHTER_GET_PAYMENT_BY_WEIGHT_OVERVIREW",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `kill_house_wage_dashbord_in_weight/?role=${getRoleFromUrl()}`
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
